# FTSimpleLayout.h File Reference

`#include <FTGL/ftgl.h>`

Go to the source code of this file.

## Data Structures
class | FTSimpleLayout
| FTSimpleLayout is a specialisation of FTLayout for simple text boxes. More...
## Functions
FTGLlayout * | ftglCreateSimpleLayout (void)
void | ftglSetLayoutFont (FTGLlayout *, FTGLfont *)
FTGLfont * | ftglGetLayoutFont (FTGLlayout *)
void | ftglSetLayoutLineLength (FTGLlayout *, const float)
float | ftglGetLayoutLineLength (FTGLlayout *)
void | ftglSetLayoutAlignment (FTGLlayout *, const int)
int | ftglGetLayoutAlignement (FTGLlayout *)
void | ftglSetLayoutLineSpacing (FTGLlayout *, const float)
float | ftglGetLayoutLineSpacing (FTGLlayout *)

## Function Documentation

FTGLlayout* ftglCreateSimpleLayout | ( | void |  | ) |

int ftglGetLayoutAlignement | ( | FTGLlayout * |  | ) |

FTGLfont* ftglGetLayoutFont | ( | FTGLlayout * |  | ) |

float ftglGetLayoutLineLength | ( | FTGLlayout * |  | ) |

float ftglGetLayoutLineSpacing | ( | FTGLlayout * |  | ) |

void ftglSetLayoutAlignment | ( | FTGLlayout * | ,
|  | const | int |
| ) |  |  |

void ftglSetLayoutFont | ( | FTGLlayout * | ,
|  | FTGLfont * |  |
| ) |  |  |

void ftglSetLayoutLineLength | ( | FTGLlayout * | ,
|  | const | float |
| ) |  |  |

void ftglSetLayoutLineSpacing | ( | FTGLlayout * | ,
|  | const | float |
| ) |  |  |